"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.ResolvedBasicMetadata = ResolvedBasicMetadata;
var _react = _interopRequireDefault(require("react"));
var _utils = require("./utils");
function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    };
}
function ResolvedBasicMetadata({ metadata  }) {
    var ref, ref1;
    return /*#__PURE__*/ _react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/ _react.default.createElement("meta", {
        charSet: "utf-8"
    }), metadata.title !== null ? /*#__PURE__*/ _react.default.createElement("title", null, metadata.title.absolute) : null, /*#__PURE__*/ _react.default.createElement(_utils.Meta, {
        name: "description",
        content: metadata.description
    }), /*#__PURE__*/ _react.default.createElement(_utils.Meta, {
        name: "application-name",
        content: metadata.applicationName
    }), /*#__PURE__*/ _react.default.createElement(_utils.Meta, {
        name: "author",
        content: (ref = metadata.authors) == null ? void 0 : ref.join(",")
    }), /*#__PURE__*/ _react.default.createElement(_utils.Meta, {
        name: "generator",
        content: metadata.generator
    }), /*#__PURE__*/ _react.default.createElement(_utils.Meta, {
        name: "keywords",
        content: (ref1 = metadata.keywords) == null ? void 0 : ref1.join(",")
    }), /*#__PURE__*/ _react.default.createElement(_utils.Meta, {
        name: "referrer",
        content: metadata.referrer
    }), /*#__PURE__*/ _react.default.createElement(_utils.Meta, {
        name: "theme-color",
        content: metadata.themeColor
    }), /*#__PURE__*/ _react.default.createElement(_utils.Meta, {
        name: "color-scheme",
        content: metadata.colorScheme
    }), /*#__PURE__*/ _react.default.createElement(_utils.Meta, {
        name: "viewport",
        content: metadata.viewport
    }), /*#__PURE__*/ _react.default.createElement(_utils.Meta, {
        name: "creator",
        content: metadata.creator
    }), /*#__PURE__*/ _react.default.createElement(_utils.Meta, {
        name: "publisher",
        content: metadata.publisher
    }), /*#__PURE__*/ _react.default.createElement(_utils.Meta, {
        name: "robots",
        content: metadata.robots
    }), /*#__PURE__*/ _react.default.createElement(_utils.Meta, {
        name: "abstract",
        content: metadata.abstract
    }), metadata.archives ? metadata.archives.map((archive)=>/*#__PURE__*/ _react.default.createElement("link", {
            rel: "archives",
            href: archive,
            key: archive
        })) : null, metadata.assets ? metadata.assets.map((asset)=>/*#__PURE__*/ _react.default.createElement("link", {
            rel: "assets",
            href: asset,
            key: asset
        })) : null, metadata.bookmarks ? metadata.bookmarks.map((bookmark)=>/*#__PURE__*/ _react.default.createElement("link", {
            rel: "bookmarks",
            href: bookmark,
            key: bookmark
        })) : null, /*#__PURE__*/ _react.default.createElement(_utils.Meta, {
        name: "category",
        content: metadata.category
    }), /*#__PURE__*/ _react.default.createElement(_utils.Meta, {
        name: "classification",
        content: metadata.classification
    }), Object.entries(metadata.other).map(([name, content])=>/*#__PURE__*/ _react.default.createElement(_utils.Meta, {
            key: name,
            name: name,
            content: Array.isArray(content) ? content.join(",") : content
        })));
}

//# sourceMappingURL=basic.js.map