/**
 *
 * Metadata types
 *
 */
export declare type TemplateString = DefaultTemplateString | AbsoluteTemplateString | AbsoluteString;
export declare type DefaultTemplateString = {
    default: string;
    template: string;
};
export declare type AbsoluteTemplateString = {
    absolute: string;
    template: string | null;
};
export declare type AbsoluteString = {
    absolute: string;
};
export declare type Author = {
    url?: string | URL;
    name?: string;
};
export declare type ReferrerEnum = 'no-referrer' | 'origin' | 'no-referrer-when-downgrade' | 'origin-when-cross-origin' | 'same-origin' | 'strict-origin' | 'strict-origin-when-cross-origin';
export declare type ColorSchemeEnum = 'normal' | 'light' | 'dark' | 'light dark' | 'dark light' | 'only light';
export declare type Robots = {
    index?: boolean;
    follow?: boolean;
    /** @deprecated set index to false instead */
    noindex?: never;
    /** @deprecated set follow to false instead */
    nofollow?: never;
    noarchive?: boolean;
    nosnippet?: boolean;
    noimageindex?: boolean;
    nocache?: boolean;
    googleBot?: string | Robots;
};
export declare type Icon = string | IconDescriptor | URL;
export declare type IconDescriptor = {
    url: string | URL;
    type?: string;
    sizes?: string;
    rel?: string;
};
export declare type Icons = {
    icon?: Icon | Array<Icon>;
    shortcut?: Icon | Array<Icon>;
    apple?: Icon | Array<Icon>;
    other?: Icon | Array<Icon>;
};
export declare type Verification = {
    google?: null | string | number | Array<string | number>;
    yahoo?: null | string | number | Array<string | number>;
    other?: {
        [name: string]: string | number | Array<string | number>;
    };
};
