import type { AbsoluteTemplateString, TemplateString } from './metadata-types';
export declare type Twitter = TwitterSummary | TwitterSummaryLargeImage | TwitterPlayer | TwitterApp | TwitterMetadata;
declare type TwitterMetadata = {
    site?: string;
    siteId?: string;
    creator?: string;
    creatorId?: string;
    title?: string | TemplateString;
    description?: string;
    images?: TwitterImage | Array<TwitterImage>;
};
declare type TwitterSummary = TwitterMetadata & {
    card: 'summary';
};
declare type TwitterSummaryLargeImage = TwitterMetadata & {
    card: 'summary_large_image';
};
declare type TwitterPlayer = TwitterMetadata & {
    card: 'player';
    players: TwitterPlayerDescriptor | Array<TwitterPlayerDescriptor>;
};
declare type TwitterApp = TwitterMetadata & {
    card: 'app';
    app: TwitterAppDescriptor;
};
declare type TwitterAppDescriptor = {
    id: {
        iphone?: string | number;
        ipad?: string | number;
        googleplay?: string;
    };
    url?: {
        iphone?: string | URL;
        ipad?: string | URL;
        googleplay?: string | URL;
    };
    country?: string;
};
declare type TwitterImage = string | TwitterImageDescriptor | URL;
declare type TwitterImageDescriptor = {
    url: string | URL;
    secureUrl?: string | URL;
    alt?: string;
    type?: string;
    width?: string | number;
    height?: string | number;
};
declare type TwitterPlayerDescriptor = {
    playerUrl: string | URL;
    streamUrl: string | URL;
    width: number;
    height: number;
};
export declare type ResolvedTwitterMetadata = Omit<TwitterMetadata, 'title'> & {
    title: AbsoluteTemplateString | null;
};
export {};
