"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.Metadata = Metadata;
var _react = _interopRequireDefault(require("react"));
var _basic = require("./generate/basic");
var _alternate = require("./generate/alternate");
var _opengraph = require("./generate/opengraph");
var _resolveMetadata = require("./resolve-metadata");
function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    };
}
async function Metadata({ metadata  }) {
    const resolved = await (0, _resolveMetadata).resolveMetadata(metadata);
    return /*#__PURE__*/ _react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/ _react.default.createElement(_basic.ResolvedBasicMetadata, {
        metadata: resolved
    }), /*#__PURE__*/ _react.default.createElement(_alternate.ResolvedAlternatesMetadata, {
        metadata: resolved
    }), /*#__PURE__*/ _react.default.createElement(_opengraph.ResolvedOpenGraphMetadata, {
        openGraph: resolved.openGraph
    }));
}

//# sourceMappingURL=ui.js.map